
Foreman - Feature #29356

Ship Puma systemd plugin in production

03/16/2020 12:36 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7923,

https://github.com/theforeman/foreman/p

ull/7523

  

Description

The Puma systemd plugin exposes Puma information to systemd via the sd_notify protocol giving notify, status and watchdog.

https://github.com/sj26/puma-plugin-systemd

Related issues:

Related to Foreman - Feature #29148: Make puma default Closed

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Associated revisions

Revision 7369ebba - 08/31/2020 01:28 PM - Eric Helms

Fixes #29356: Use puma-plugin-systemd to provide systemd notify support

This points to a fork of puma-plugin-systemd maintained by theforeman

organization to ensure this works with Puma 4.

History

#1 - 03/16/2020 12:42 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29148: Make puma default added

#2 - 03/16/2020 12:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/7523 added

#3 - 04/21/2020 07:16 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#4 - 05/25/2020 02:17 PM - Tomer Brisker

- Target version changed from 2.1.0 to 2.2.0

#5 - 08/12/2020 01:31 PM - Eric Helms

- Target version changed from 2.2.0 to 2.3.0

#6 - 08/27/2020 12:43 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7923 added

#7 - 08/31/2020 01:28 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added
#8 - 08/31/2020 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7369ebba0f5383da75ac696ba3ed9eeffd5ae1fe.

#9 - 09/10/2020 05:12 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
